Available in Classic and VPC
Get a list of mailing requests.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /mails/requests |
Request headers
For headers common to Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
startUtc |
Long | Conditional | Start date and time of the request history you want to view
|
startDateTime |
String | Conditional | Start date and time of the request history you want to view (UTC+9:00)
|
endUtc |
Long | Conditional | End date and time of the request history you want to view
|
endDateTime |
String | Conditional | End date and time of the request history you want to view (UTC+9:00)
|
requestId |
String | Optional | Email delivery request ID to distinguish each request
|
mailId |
String | Optional | Unique ID to identify each email |
dispatchType |
String | Optional | Tool used when requesting email delivery
|
title |
String | Optional | Email subject
|
templateSid |
Integer | Optional | SID of the template used to create the email |
senderAddress |
String | Optional | Sender's email address |
recipientAddress |
String | Optional | Recipient email address |
sendStatus |
List[String] | Optional | Email delivery status
|
size |
Integer | Optional | Number of records per page
|
page |
Integer | Optional | Page index to view
|
sort |
String | Optional | Sort by
|
Request example
The following is a sample request.
curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/mails/requests?dispatchType=API&startDateTime=2018-11-01%2000:00&size=5&sendStatus=S&page=0&endDateTime=2018-11-20%2023:59' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
The following describes the response body.
| Field | Type | Required | Description |
|---|---|---|---|
content |
List | - | Details for the request history list |
last |
Boolean | - | Whether it is the last page |
totalElements |
Integer | - | Total number of records |
totalPages |
Integer | - | Total number of pages |
first |
Boolean | - | Whether it is the first page |
numberOfElements |
Integer | - | Number of records in the current page |
size |
Integer | - | Number of records per page |
number |
Integer | - | Index of the current page (starts from 0) |
sort |
List | - | Sort by
|
Response status codes
For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.
Response example
The following is a sample response.
{
"content":[
{
"requestId":"20181120000000000299",
"requestDate":{
"utc":1542675575268,
"formattedDate":"2018-11-20",
"formattedDateTime":"2018-11-20 09:59:35 268"
},
"templateSid":null,
"templateName":null,
"emailStatus":{
"label":"Delivery succeeded",
"code":"S"
},
"senderAddress":"no_reply@domain.com",
"senderName":null,
"dispatchType":"API",
"elapsedTime":"00:00:05.230",
"sendDate":{
"utc":1542675580498,
"formattedDate":"2018-11-20",
"formattedDateTime":"2018-11-20 09:59:40 498"
},
"reservationDate":null,
"requestCount":100,
"recipientCount":100
},
{
"requestId":"20181113000000000499",
"requestDate":{
"utc":1542071645647,
"formattedDate":"2018-11-13",
"formattedDateTime":"2018-11-13 10:14:05 647"
},
"templateSid":null,
"templateName":null,
"emailStatus":{
"label":"Delivery succeeded",
"code":"S"
},
"senderAddress":"a@a.com",
"senderName":null,
"dispatchType":"API",
"elapsedTime":"00:00:00.475",
"sendDate":{
"utc":1542071646122,
"formattedDate":"2018-11-13",
"formattedDateTime":"2018-11-13 10:14:06 122"
},
"reservationDate":null,
"requestCount":1,
"recipientCount":1
},
{
"requestId":"20181113000000000299",
"requestDate":{
"utc":1542071618910,
"formattedDate":"2018-11-13",
"formattedDateTime":"2018-11-13 10:13:38 910"
},
"templateSid":null,
"templateName":null,
"emailStatus":{
"label":"Delivery succeeded",
"code":"S"
},
"senderAddress":"a@a.com",
"senderName":null,
"dispatchType":"API",
"elapsedTime":"00:00:02.142",
"sendDate":{
"utc":1542071621052,
"formattedDate":"2018-11-13",
"formattedDateTime":"2018-11-13 10:13:41 052"
},
"reservationDate":null,
"requestCount":1,
"recipientCount":1
},
{
"requestId":"20181109000063986599",
"requestDate":{
"utc":1541752179226,
"formattedDate":"2018-11-09",
"formattedDateTime":"2018-11-09 17:29:39 226"
},
"templateSid":13,
"templateName":"test",
"emailStatus":{
"label":"Delivery succeeded",
"code":"S"
},
"senderAddress":"no_reply@a.com",
"senderName":"test",
"dispatchType":"API",
"elapsedTime":"00:15:02.312",
"sendDate":{
"utc":1541753081538,
"formattedDate":"2018-11-09",
"formattedDateTime":"2018-11-09 17:44:41 538"
},
"reservationDate":null,
"requestCount":100000,
"recipientCount":100000
},
{
"requestId":"20181109000063886499",
"requestDate":{
"utc":1541752150850,
"formattedDate":"2018-11-09",
"formattedDateTime":"2018-11-09 17:29:10 850"
},
"templateSid":13,
"templateName":"test",
"emailStatus":{
"label":"Delivery succeeded",
"code":"S"
},
"senderAddress":"no_reply@a.com",
"senderName":"test",
"dispatchType":"API",
"elapsedTime":"00:00:17.004",
"sendDate":{
"utc":1541752167854,
"formattedDate":"2018-11-09",
"formattedDateTime":"2018-11-09 17:29:27 854"
},
"reservationDate":null,
"requestCount":1000,
"recipientCount":1000
}
],
"last":false,
"totalElements":21,
"totalPages":5,
"first":true,
"numberOfElements":5,
"sort":[
{
"direction":"DESC",
"property":"createUtc",
"ignoreCase":false,
"nullHandling":"NATIVE",
"ascending":false,
"descending":true
}
],
"size":5,
"number":0
}